List ad creatives
curl --request GET \
--url https://ai.wisepilot.app/api/v1/content/ads/creatives \
--header 'Authorization: Bearer <token>'import requests
url = "https://ai.wisepilot.app/api/v1/content/ads/creatives"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://ai.wisepilot.app/api/v1/content/ads/creatives', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"creatives": [
{
"id": "<string>",
"platform": "<string>",
"adFormat": "<string>",
"name": "<string>",
"campaignId": "<string>",
"campaignName": "<string>",
"status": "<string>",
"source": "<string>",
"destinationUrl": "<string>",
"imageUrls": [
"<string>"
],
"impressions": 123,
"clicks": 123,
"spend": 123,
"conversions": 123,
"ctr": 123,
"roas": 123,
"optimizationScore": 123,
"lastEvalScore": 123,
"createdAt": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"limit": 123,
"offset": 123
}
}{
"success": false,
"error": "Invalid API key",
"code": "INVALID_API_KEY"
}Content
List ad creatives
Browse ad creatives with performance metrics and campaign details.
GET
/
content
/
ads
/
creatives
List ad creatives
Authorizations
API key prefixed with cr_ (e.g. cr_a1b2c3...)
Query Parameters
Website ID. Auto-resolved if key has single website scope.
Filter by ad platform
Filter by ad format
Filter by campaign ID
Filter by status
Filter by source
Max results (default 50, max 200)
Required range:
x <= 200Pagination offset
Required range:
x >= 0⌘I